Bug 237634 - security/py-bro-pkg: Rename (move) to security/py-zkg and update to 2.0.0
Summary: security/py-bro-pkg: Rename (move) to security/py-zkg and update to 2.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://pypi.org/project/zkg/
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-29 01:49 UTC by Shirkdog
Modified: 2019-06-17 06:12 UTC (History)
3 users (show)

See Also:


Attachments
py-zeek-pkg shell archive (3.15 KB, text/plain)
2019-04-29 01:49 UTC, Shirkdog
no flags Details
py-zeek-pkg shell archive updated (3.23 KB, text/plain)
2019-06-10 21:28 UTC, Shirkdog
mshirk: maintainer-approval+
Details
svn diff for move (6.60 KB, patch)
2019-06-10 21:28 UTC, Shirkdog
mshirk: maintainer-approval+
Details | Diff
py-zkg-2.0.0.patch (4.44 KB, patch)
2019-06-14 08:08 UTC, Kai Knoblich
no flags Details | Diff
py-zkg-2.0.0.shar (3.25 KB, text/plain)
2019-06-14 08:09 UTC, Kai Knoblich
no flags Details
MOVE-security-py-bro-pkg-TO-security-py-zkg.patch (10.04 KB, patch)
2019-06-14 08:52 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shirkdog 2019-04-29 01:49:24 UTC
Created attachment 204091 [details]
py-zeek-pkg shell archive

The Bro Package Manager has been renamed to the Zeek Package Manager. The SVN diff in the bug includes the deprecation of the py-bro-pkg and the attached shell archive is for version 1.7.1 of the Zeek Package manager. Because everything will be renamed eventually, it is better to do this now and update the port in the process. 

The pkg-message file still mentions "bro-pkg" as the created python scripts still have not been updated. This will change at some point in the future and will be patched when upstream renames the python script to "zeek-pkg"

Index: py-bro-pkg/Makefile
===================================================================
--- py-bro-pkg/Makefile (revision 500354)
+++ py-bro-pkg/Makefile (working copy)
@@ -3,7 +3,7 @@
 PORTNAME=      bro-pkg
 DISTVERSIONPREFIX=     v
 DISTVERSION=   1.4.2
-PORTREVISION=  1
+PORTREVISION=  2       
 CATEGORIES=    security python
 PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}

@@ -18,6 +18,9 @@
                ${PYTHON_PKGNAMEPREFIX}configparser>=0:devel/py-configparser@${PY_FLAVOR} \
                ${PYTHON_PKGNAMEPREFIX}semantic_version>=0:devel/py-semantic_version@${PY_FLAVOR}

+DEPRECATED=    Bro package manager has been renamed to Zeek package manager
+EXPIRATION_DATE=       2019-09-30
+
 USES=          python
 USE_PYTHON=    distutils autoplist concurrent
Comment 1 Shirkdog 2019-05-22 11:54:19 UTC
I should have added this is a maintainer update, so let me know if this needs to be split into two separate bugs.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-01 03:01:31 UTC
@Shirkdog Thank you for the issue detail.

This should likely take the form of a "port move" via 'svn mv', then updating the target to be the new name, instead of a deprecation && new port.

Please:

- Include all changes for the above move as an svn diff against /usr/ports instead of in comments, including an entry in MOVED for the port rename

- Use the maintainer-approval attachment flag (set to +), to signify maintainer approval. Attachment -> Details -> maintainer-approval [+].
Comment 3 Shirkdog 2019-06-10 21:28:05 UTC
Created attachment 204965 [details]
py-zeek-pkg shell archive updated
Comment 4 Shirkdog 2019-06-10 21:28:41 UTC
Created attachment 204966 [details]
svn diff for move
Comment 5 Kai Knoblich freebsd_committer 2019-06-14 08:08:46 UTC
Created attachment 205054 [details]
py-zkg-2.0.0.patch
Comment 6 Kai Knoblich freebsd_committer 2019-06-14 08:09:25 UTC
Created attachment 205055 [details]
py-zkg-2.0.0.shar
Comment 7 Kai Knoblich freebsd_committer 2019-06-14 08:20:05 UTC
(In reply to Shirkdog from comment #1)

Thank you for your updated patches. I looked at it and the overall picture is clear, but we need to do a small change with the package name.

If you take a look at PyPi you'll see that the Python package name is "zkg" and the release has been updated to 2.0.0 recently.

I have attached two patches (SVN version + shar archive) that reflects those changes. With the 2.0.0 release one can use "zkg" instead of "bro-pkg" to fetch packages but "bro-pkg" can still be used for backwards compatibility.

To summarize all changes:

- Port is renamed from "security/py-bro-pkg" to "security/py-zkg"
- Update to 2.0.0
- Update the pkg-descr accordingly (and align the text somewhat to make it more readable)
- Also update the pkg-message with a hint about the previously used command "bro-pkg"

If those changes are ok for you, I'll commit them together with the other required changes (update MOVED and security/Makefile, etc.).
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-14 08:27:45 UTC
@Kai diffs are fine for port moves

Let's also obsolete any .. obsoleted patches and please include the MOVED and category/Makefile updates with it as well. And issue summary needs updating
Comment 9 Kai Knoblich freebsd_committer 2019-06-14 08:52:20 UTC
Created attachment 205057 [details]
MOVE-security-py-bro-pkg-TO-security-py-zkg.patch

Attached the complete diff and one more addition that I forgot to mention before:

I also added "git:devel/git" to the RUN_DEPENDS otherwise "zkg" / "bro-pkg" throws an exception / warning during runtime:

> Traceback (most recent call last):
>   File "/usr/local/lib/python3.6/site-packages/git/__init__.py", line 83, in <module>
>     refresh()
>   File "/usr/local/lib/python3.6/site-packages/git/__init__.py", line 73, in refresh
>     if not Git.refresh(path=path):
>   File "/usr/local/lib/python3.6/site-packages/git/cmd.py", line 290, in refresh
>     raise ImportError(err)
> ImportError: Bad git executable.
> The git executable must be specified in one of the following ways:
>     - be included in your $PATH
>     - be set via $GIT_PYTHON_GIT_EXECUTABLE
>     - explicitly set via git.refresh()
>
> All git commands will error until this is rectified.
Comment 10 Shirkdog 2019-06-17 02:13:07 UTC
Comment on attachment 205057 [details]
MOVE-security-py-bro-pkg-TO-security-py-zkg.patch

Thanks for the additional updates on this, through this process I saw the 2.0.0 release hit, and did not even see the zkg changes. Hopefully for now on updates will be more routine.
Comment 11 commit-hook freebsd_committer 2019-06-17 05:52:37 UTC
A commit references this bug:

Author: kai
Date: Mon Jun 17 05:51:26 UTC 2019
New revision: 504391
URL: https://svnweb.freebsd.org/changeset/ports/504391

Log:
  security/py-bro-pkg: Rename to security/py-zkg and update to 2.0.0

  The project name of upstream has changed from "Bro" to "Zeek". This also
  affects the repositories and offered packages.

  * Rename the port to security/py-zkg
  * Adapt the text references in COMMENT and pkg-{descr,message} accordingly.
  * Update to 2.0.0

  Changelog:

  https://github.com/zeek/package-manager/blob/v2.0.0/CHANGES

  PR:		237634
  Submitted by:	Shirkdog <mshirk@daemon-security.com> (maintainer)
  Reviewed by:	koobs

Changes:
  head/MOVED
  head/security/Makefile
  head/security/py-bro-pkg/
  head/security/py-zkg/
  head/security/py-zkg/Makefile
  head/security/py-zkg/distinfo
  head/security/py-zkg/pkg-descr
  head/security/py-zkg/pkg-message
Comment 12 Kai Knoblich freebsd_committer 2019-06-17 06:12:24 UTC
(In reply to Shirkdog from comment #10)

Pleasure, the changes have been committed!